- Qt 5.5
- Qt3D Module
- C++ Classes
- ArrayPreallocationPolicy
- Qt 5.5.1 Reference Documentation

# ArrayPreallocationPolicy Class

(Qt3D::ArrayPreallocationPolicy)

- List of all members, including inherited members

## Public Functions

| ArrayPreallocationPolicy()
T * | allocateResource()
void | releaseResource(T * r)
void | reset()

## Member Function Documentation

### ArrayPreallocationPolicy::ArrayPreallocationPolicy()

### T * ArrayPreallocationPolicy::allocateResource()

### void ArrayPreallocationPolicy::releaseResource(T * r)

### void ArrayPreallocationPolicy::reset()